package edutainmentclient;

/**
 *
 * @author Gonzalo
 */
public class Pair {
    
    private String deviceId;
    private boolean deviceInRange;
    private String userId;

    public Pair(String deviceId, String deviceInRange, String userId) {
        this.deviceId = deviceId;
        if (deviceInRange.equals("true")) {
            this.deviceInRange = true;
        } else if (deviceInRange.equals("false")) {
            this.deviceInRange = false;
        }
        this.userId = userId;
    }

    /**
     * @return the deviceId
     */
    public String getDeviceId() {
        return deviceId;
    }

    /**
     * @return the deviceInRange
     */
    public boolean isDeviceInRange() {
        return deviceInRange;
    }

    /**
     * @return the userId
     */
    public String getUserId() {
        return userId;
    }

}
